13

I am running WordPress 4.1 Multisite on CentOS with NGINX. I have set define('FS_METHOD','direct'); in wp-config.php but am still getting prompted for FTP credentials when trying to install a plugin.

I have tried chmod'ing the wp-content directories recursively with both nginx and www-data users and neither works

25

Because I had cut and pasted define(’FS_METHOD’,’direct’); from the web, the incorrect quote characters were pasted into the file.

should be define('FS_METHOD', 'direct');

The incorrect quote character also changed the encoding of the file somehow. If anyone has deeper knowledge of this issue please let me know in the comments.

0

You need to write define('FS_METHOD', 'direct'); in wp-config.php. Make sure you can add this line just after define( 'DB_COLLATE', '' );

So it will look like the following.

define( 'DB_COLLATE', '' );
define('FS_METHOD', 'direct');

See this Video https://youtu.be/Jrqta7eYfsg

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.